The Spring Framework

## org.springframework.mock.web.portlet
Class MockPortletConfig

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletConfig

All Implemented Interfaces:
  javax.portlet.PortletConfig

    public class MockPortletConfig

extends Object
implements javax.portlet.PortletConfig

Mock implementation of the `PortletConfig` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletConfig()` Create a new MockPortletConfig with a default `MockPortletContext`.
`MockPortletConfig(javax.portlet.PortletContext portletContext)` Create a new MockPortletConfig.
`MockPortletConfig(javax.portlet.PortletContext portletContext, String portletName)` Create a new MockPortletConfig.
`MockPortletConfig(String portletName)` Create a new MockPortletConfig with a default `MockPortletContext`.

Method Summary
`void` `addInitParameter(String name, String value)`
`String` `getInitParameter(String name)`
`Enumeration` `getInitParameterNames()`
`javax.portlet.PortletContext` `getPortletContext()`
`String` `getPortletName()`
`ResourceBundle` `getResourceBundle(Locale locale)`
`void` `setResourceBundle(Locale locale, ResourceBundle resourceBundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletConfig

    public MockPortletConfig()

  Create a new MockPortletConfig with a default `MockPortletContext`.

### MockPortletConfig

    public MockPortletConfig(String portletName)

  Create a new MockPortletConfig with a default `MockPortletContext`.

  Parameters:
    `portletName` - the name of the portlet

### MockPortletConfig

    public MockPortletConfig(javax.portlet.PortletContext portletContext)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in

### MockPortletConfig

    public MockPortletConfig(javax.portlet.PortletContext portletContext,
                             String portletName)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in
    `portletName` - the name of the portlet

Method Detail

### getPortletName

    public String getPortletName()

  Specified by:
    `getPortletName` in interface `javax.portlet.PortletConfig`

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

  Specified by:
    `getPortletContext` in interface `javax.portlet.PortletConfig`

### setResourceBundle

    public void setResourceBundle(Locale locale,
                                  ResourceBundle resourceBundle)

### getResourceBundle

    public ResourceBundle getResourceBundle(Locale locale)

  Specified by:
    `getResourceBundle` in interface `javax.portlet.PortletConfig`

### addInitParameter

    public void addInitParameter(String name,
                                 String value)

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `javax.portlet.PortletConfig`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.portlet.PortletConfig`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.